Bug 352961 - Yum Update Crash
Yum Update Crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 14:21 EDT by Glenn M
Modified: 2014-01-21 17:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum Crash (1.46 KB, text/plain)
2007-10-25 14:21 EDT, Glenn M
no flags Details

  None (edit)
Description Glenn M 2007-10-25 14:21:29 EDT
Description of problem:
Launched updater for 11 updates, update component started to slow down then
crashed. 

Version-Release number of selected component (if applicable):
Component: pirut
Summary: TB5cf90941 yumRepo.py:612:_getFile:NoMoreMirrorsRepoError: failure:
repodata/updateinfo.xml.gz from updates: [Errno 256] No more mirrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
    main()
  File "/usr/sbin/pup", line 646, in main
    pup.run()
  File "/usr/sbin/pup", line 470, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 295, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 351, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.5/site-packages/yum/update_md.py", line 246, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 839, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 612, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
NoMoreMirrorsRepoError: failure: repodata/updateinfo.xml.gz from updates: [Errno
256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: None
url: None
text: None
self: updates
cache: True
reget: None
relative: repodata/updateinfo.xml.gz
headers: ()
checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository
object at 0x8c31fec>>, ('updateinfo',), {})
errstr: failure: repodata/updateinfo.xml.gz from updates: [Errno 256] No more
mirrors to try.
copy_local: 1
end: None
local: //var/cache/yum/updates/updateinfo.xml.gz


How reproducible:
Comment 1 Glenn M 2007-10-25 14:21:29 EDT
Created attachment 237741 [details]
Yum Crash
Comment 2 Seth Vidal 2007-12-06 22:49:11 EST
I think this is pup not catching the exception - it's just a YumBaseError so it
shouldn't be unreasonable to catch this exception from a caller. reassigning to
pirut for comment
Comment 3 Bug Zapper 2008-05-14 10:52:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jeremy Katz 2008-05-28 15:15:12 EDT
This should be better in Fedora 8

Note You need to log in before you can comment on or make changes to this bug.